package com.ruoyi.oa.service;

import com.ruoyi.oa.domain.EmployeeOffboarding;
import com.ruoyi.oa.domain.vo.EmployeeOffboardingVo;
import com.ruoyi.oa.domain.bo.EmployeeOffboardingBo;
import com.ruoyi.common.core.page.TableDataInfo;
import com.ruoyi.common.core.domain.PageQuery;

import java.util.Collection;
import java.util.List;

/**
 * 离职管理Service接口
 *
 * @author hdka
 * @date 2025-02-16
 */
public interface IEmployeeOffboardingService {

    /**
     * 查询离职管理
     */
    EmployeeOffboardingVo queryById(Long offboardingId);

    /**
     * 查询离职管理列表
     */
    TableDataInfo<EmployeeOffboardingVo> queryPageList(EmployeeOffboardingBo bo, PageQuery pageQuery);

    /**
     * 查询离职管理列表
     */
    List<EmployeeOffboardingVo> queryList(EmployeeOffboardingBo bo);

    /**
     * 新增离职管理
     */
    Boolean insertByBo(EmployeeOffboardingBo bo);

    /**
     * 修改离职管理
     */
    Boolean updateByBo(EmployeeOffboardingBo bo);

    /**
     * 校验并批量删除离职管理信息
     */
    Boolean deleteWithValidByIds(Collection<Long> ids, Boolean isValid);
}
